Base URL: https://demo-api.incodesmile.com — Incode demo environment
Get id validation, liveness and face recognition results for given interviewId.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
query | string | Id of onboarding for which score is requests. If not present, it will be extracted from token. | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
authentication |
object | The result of authentication containing overall score and list of executed checks. | |
authentication.overall |
object | Composite result for authentication score. | |
authentication.overall.value |
string | ||
authentication.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
authentication.identityId |
string | ||
authentication.appliedRule |
object | Specific rule from rule engine | |
authentication.appliedRule.name |
string | Name of the rule. | |
authentication.appliedRule.expression |
string | A logical expression of the rule. | |
authentication.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
authentication.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idValidation |
object | Id validation of its overall score and two lists of executed tests and checks | |
idValidation.photoSecurityAndQuality |
array[IdResultBean] | ||
idValidation.photoSecurityAndQuality.value |
string | ||
idValidation.photoSecurityAndQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idValidation.photoSecurityAndQuality.key |
string | ||
idValidation.idSpecific |
array[IdResultBean] | ||
idValidation.idSpecific.value |
string | ||
idValidation.idSpecific.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idValidation.idSpecific.key |
string | ||
idValidation.customFields |
array[IdResultBean] | ||
idValidation.customFields.value |
string | ||
idValidation.customFields.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idValidation.customFields.key |
string | ||
idValidation.appliedRule |
object | Specific rule from rule engine | |
idValidation.appliedRule.name |
string | Name of the rule. | |
idValidation.appliedRule.expression |
string | A logical expression of the rule. | |
idValidation.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
idValidation.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idValidation.overall |
object | ||
idValidation.overall.value |
string | ||
idValidation.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
antifraud |
object | The result of antifraud check where we compare the current interview with existing interviews and customers and detect anomalies than could be signs of fraud | |
antifraud.overall |
object | ||
antifraud.overall.value |
string | ||
antifraud.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
secondIdValidation |
object | Same as idValidation only applicable if onboarding is configured to capture a second id | |
secondIdValidation.photoSecurityAndQuality |
array[IdResultBean] | ||
secondIdValidation.photoSecurityAndQuality.value |
string | ||
secondIdValidation.photoSecurityAndQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
secondIdValidation.photoSecurityAndQuality.key |
string | ||
secondIdValidation.idSpecific |
array[IdResultBean] | ||
secondIdValidation.idSpecific.value |
string | ||
secondIdValidation.idSpecific.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
secondIdValidation.idSpecific.key |
string | ||
secondIdValidation.customFields |
array[IdResultBean] | ||
secondIdValidation.customFields.value |
string | ||
secondIdValidation.customFields.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
secondIdValidation.customFields.key |
string | ||
secondIdValidation.appliedRule |
object | Specific rule from rule engine | |
secondIdValidation.appliedRule.name |
string | Name of the rule. | |
secondIdValidation.appliedRule.expression |
string | A logical expression of the rule. | |
secondIdValidation.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
secondIdValidation.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
secondIdValidation.overall |
object | ||
secondIdValidation.overall.value |
string | ||
secondIdValidation.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness |
object | ||
liveness.hasHeadCover |
object | Returns flag if the hat/cap is detected on the image. Only if hats detected option is configured | |
liveness.hasHeadCover.value |
string | ||
liveness.hasHeadCover.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.hasClosedEyes |
object | Returns flag if closed eyes is detected on the image. Only if hats detected option is configured | |
liveness.hasClosedEyes.value |
string | ||
liveness.hasClosedEyes.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.physicalAttack |
object | Returns flag if physical attack is detected. Only if this option is configured | |
liveness.physicalAttack.value |
string | ||
liveness.physicalAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.digitalAttack |
object | Returns flag if digital attack is detected. Only if this option is configured | |
liveness.digitalAttack.value |
string | ||
liveness.digitalAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.evasionAttack |
object | Returns flag if evasion attack is detected. Only if this option is configured | |
liveness.evasionAttack.value |
string | ||
liveness.evasionAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.deepfakeAttack |
object | Returns flag if deepfake attack is detected. Only if digital attack is configured | |
liveness.deepfakeAttack.value |
string | ||
liveness.deepfakeAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.digitalManipulationAttack |
object | Returns flag if digital manipulation attack is detected. Only if digital attack is configured | |
liveness.digitalManipulationAttack.value |
string | ||
liveness.digitalManipulationAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.appliedRule |
object | Information about applied rule | |
liveness.appliedRule.name |
string | Name of the rule. | |
liveness.appliedRule.expression |
string | A logical expression of the rule. | |
liveness.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
liveness.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.spoofDetectionMethod |
string | Information about method used Enum: SF, SF_MM, SF_MM_V |
|
liveness.overall |
object | Composite result for liveness score. | |
liveness.overall.value |
string | ||
liveness.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
liveness.livenessScore |
object | Returns flag if physical attack is detected. Only if this option is configured. Deprecated, use 'physicalAttack' instead. | |
liveness.livenessScore.value |
string | ||
liveness.livenessScore.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight |
object | ||
deepsight.multimodalIntelligence |
object | ||
deepsight.multimodalIntelligence.physicalAttack |
object | ||
deepsight.multimodalIntelligence.physicalAttack.value |
string | ||
deepsight.multimodalIntelligence.physicalAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.digitalAttack |
object | ||
deepsight.multimodalIntelligence.digitalAttack.value |
string | ||
deepsight.multimodalIntelligence.digitalAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.deepfakeAttack |
object | ||
deepsight.multimodalIntelligence.deepfakeAttack.value |
string | ||
deepsight.multimodalIntelligence.deepfakeAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.digitalManipulationAttack |
object | ||
deepsight.multimodalIntelligence.digitalManipulationAttack.value |
string | ||
deepsight.multimodalIntelligence.digitalManipulationAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.evasionAttack |
object | ||
deepsight.multimodalIntelligence.evasionAttack.value |
string | ||
deepsight.multimodalIntelligence.evasionAttack.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.spoofDetectionMethod |
string | Enum: SF, SF_MM, SF_MM_V |
|
deepsight.multimodalIntelligence.faceExplanation |
object | ||
deepsight.multimodalIntelligence.faceExplanation.description |
string | ||
deepsight.multimodalIntelligence.faceExplanation.keywords |
object | ||
deepsight.multimodalIntelligence.faceExplanation.keywords.category |
string | ||
deepsight.multimodalIntelligence.faceExplanation.keywords.isDepthFlat |
boolean | ||
deepsight.multimodalIntelligence.faceExplanation.keywords.isVideoCorrupted |
boolean | ||
deepsight.multimodalIntelligence.faceOverall |
object | ||
deepsight.multimodalIntelligence.faceOverall.value |
string | ||
deepsight.multimodalIntelligence.faceOverall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.aiGeneratedDocument |
object | ||
deepsight.multimodalIntelligence.aiGeneratedDocument.value |
string | ||
deepsight.multimodalIntelligence.aiGeneratedDocument.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.documentOverall |
object | ||
deepsight.multimodalIntelligence.documentOverall.value |
string | ||
deepsight.multimodalIntelligence.documentOverall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.multimodalIntelligence.overall |
object | ||
deepsight.multimodalIntelligence.overall.value |
string | ||
deepsight.multimodalIntelligence.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.deviceTrust |
object | ||
deepsight.deviceTrust.overall |
object | ||
deepsight.deviceTrust.overall.value |
string | ||
deepsight.deviceTrust.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.behavioralTrust |
object | ||
deepsight.behavioralTrust.overall |
object | ||
deepsight.behavioralTrust.overall.value |
string | ||
deepsight.behavioralTrust.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.cameraTrust |
object | ||
deepsight.cameraTrust.overall |
object | ||
deepsight.cameraTrust.overall.value |
string | ||
deepsight.cameraTrust.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.overall |
object | ||
deepsight.overall.value |
string | ||
deepsight.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
deepsight.appliedRule |
object | Specific rule from rule engine | |
deepsight.appliedRule.name |
string | Name of the rule. | |
deepsight.appliedRule.expression |
string | A logical expression of the rule. | |
deepsight.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
deepsight.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment |
object | ||
faceCaptureAssessment.faceAttributes |
object | Contains face attributes | |
faceCaptureAssessment.faceAttributes.maskCheck |
object | Shows info if the user was wearing a mask during selfie capture | |
faceCaptureAssessment.faceAttributes.maskCheck.value |
string | ||
faceCaptureAssessment.faceAttributes.maskCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.faceAttributes.lensesCheck |
object | Shows info if the user was wearing lenses during selfie capture | |
faceCaptureAssessment.faceAttributes.lensesCheck.value |
string | ||
faceCaptureAssessment.faceAttributes.lensesCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.faceAttributes.hasHeadCover |
object | Returns flag if the hat/cap is detected on the image. Only if hats detected option is configured | |
faceCaptureAssessment.faceAttributes.hasHeadCover.value |
string | ||
faceCaptureAssessment.faceAttributes.hasHeadCover.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.faceAttributes.hasClosedEyes |
object | Returns flag if closed eyes is detected on the image. Only if hats detected option is configured | |
faceCaptureAssessment.faceAttributes.hasClosedEyes.value |
string | ||
faceCaptureAssessment.faceAttributes.hasClosedEyes.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.faceAttributes.faceOcclusion |
object | Returns flag if captured face is occluded on the image. Only if hats detected option is configured | |
faceCaptureAssessment.faceAttributes.faceOcclusion.value |
string | ||
faceCaptureAssessment.faceAttributes.faceOcclusion.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.qualityChecks |
object | Contains quality checks | |
faceCaptureAssessment.qualityChecks.faceBrightness |
object | Shows status of brightness during selfie capture | |
faceCaptureAssessment.qualityChecks.faceBrightness.value |
string | ||
faceCaptureAssessment.qualityChecks.faceBrightness.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceCaptureAssessment.qualityChecks.imageQuality |
object | Shows status of image quality check | |
faceCaptureAssessment.qualityChecks.imageQuality.value |
string | ||
faceCaptureAssessment.qualityChecks.imageQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition |
object | ||
faceRecognition.existingUser |
boolean | Flag indicating if a user is already enrolled | |
faceRecognition.customerId |
string | Id of enrolled user | |
faceRecognition.existingInterviewId |
string | Session ID, in case the user is approved in another session | |
faceRecognition.existingExternalId |
string | External ID, in case the user is approved in another session | |
faceRecognition.maskCheck |
object | Shows info if the user was wearing a mask during selfie capture | |
faceRecognition.maskCheck.value |
string | ||
faceRecognition.maskCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.lensesCheck |
object | Shows info if the user was wearing lenses during selfie capture | |
faceRecognition.lensesCheck.value |
string | ||
faceRecognition.lensesCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.faceBrightness |
object | Shows status and level of brightness during selfie capture | |
faceRecognition.faceBrightness.value |
string | ||
faceRecognition.faceBrightness.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.imageQuality |
object | Shows image quality during selfie capture | |
faceRecognition.imageQuality.value |
string | ||
faceRecognition.imageQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.nameMatch |
object | Shows if the name matches the previously used (only in case the user is already approved in another session) | |
faceRecognition.nameMatch.value |
string | ||
faceRecognition.nameMatch.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.appliedRule |
object | Specific rule from rule engine for faceValidation | |
faceRecognition.appliedRule.name |
string | Name of the rule. | |
faceRecognition.appliedRule.expression |
string | A logical expression of the rule. | |
faceRecognition.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
faceRecognition.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.overall |
object | Shows how much face from ID matches the selfie | |
faceRecognition.overall.value |
string | ||
faceRecognition.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.hasHeadCover |
object | Returns flag if the hat/cap is detected on the image. Only if hats detected option is configured | |
faceRecognition.hasHeadCover.value |
string | ||
faceRecognition.hasHeadCover.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.hasClosedEyes |
object | Returns flag if closed eyes is detected on the image. Only if hats detected option is configured | |
faceRecognition.hasClosedEyes.value |
string | ||
faceRecognition.hasClosedEyes.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognition.faceOcclusion |
object | Returns flag if captured face is occluded on the image. Only if hats detected option is configured | |
faceRecognition.faceOcclusion.value |
string | ||
faceRecognition.faceOcclusion.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId |
object | Same as faceRecognition only applicable if onboarding is configured to capture a second id | |
faceRecognitionSecondId.existingUser |
boolean | Flag indicating if a user is already enrolled | |
faceRecognitionSecondId.customerId |
string | Id of enrolled user | |
faceRecognitionSecondId.existingInterviewId |
string | Session ID, in case the user is approved in another session | |
faceRecognitionSecondId.existingExternalId |
string | External ID, in case the user is approved in another session | |
faceRecognitionSecondId.maskCheck |
object | Shows info if the user was wearing a mask during selfie capture | |
faceRecognitionSecondId.maskCheck.value |
string | ||
faceRecognitionSecondId.maskCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.lensesCheck |
object | Shows info if the user was wearing lenses during selfie capture | |
faceRecognitionSecondId.lensesCheck.value |
string | ||
faceRecognitionSecondId.lensesCheck.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.faceBrightness |
object | Shows status and level of brightness during selfie capture | |
faceRecognitionSecondId.faceBrightness.value |
string | ||
faceRecognitionSecondId.faceBrightness.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.imageQuality |
object | Shows image quality during selfie capture | |
faceRecognitionSecondId.imageQuality.value |
string | ||
faceRecognitionSecondId.imageQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.nameMatch |
object | Shows if the name matches the previously used (only in case the user is already approved in another session) | |
faceRecognitionSecondId.nameMatch.value |
string | ||
faceRecognitionSecondId.nameMatch.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.appliedRule |
object | Specific rule from rule engine for faceValidation | |
faceRecognitionSecondId.appliedRule.name |
string | Name of the rule. | |
faceRecognitionSecondId.appliedRule.expression |
string | A logical expression of the rule. | |
faceRecognitionSecondId.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
faceRecognitionSecondId.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.overall |
object | Shows how much face from ID matches the selfie | |
faceRecognitionSecondId.overall.value |
string | ||
faceRecognitionSecondId.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.hasHeadCover |
object | Returns flag if the hat/cap is detected on the image. Only if hats detected option is configured | |
faceRecognitionSecondId.hasHeadCover.value |
string | ||
faceRecognitionSecondId.hasHeadCover.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.hasClosedEyes |
object | Returns flag if closed eyes is detected on the image. Only if hats detected option is configured | |
faceRecognitionSecondId.hasClosedEyes.value |
string | ||
faceRecognitionSecondId.hasClosedEyes.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
faceRecognitionSecondId.faceOcclusion |
object | Returns flag if captured face is occluded on the image. Only if hats detected option is configured | |
faceRecognitionSecondId.faceOcclusion.value |
string | ||
faceRecognitionSecondId.faceOcclusion.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation |
object | - recognitionConfidence: Only present in case face validation is performed as a part of government check - fingerprintConfidence: Only present in case fingerprint validation is performed as a part of government check - minimumPassingFingerprints: Only present in case fingerprint validation is performed. Maps to configured number of minimum fingerprints configured at the time of score calculation. - validationStatus: Possible values: processingIne, ok, validationError, ineConnectionError, ineInfrastructureError, moduleNotSupported, missingDocumentId, missingSelfie, userNotFound, userNotFoundInIneDb, notEnoughData, livenessFail, ineNotCurrent, ineReportedLost, ineReportedStolen, ineSignaturError, transactionLimitReached, geographicRegionNotSupported Key-value mapping: - -1: processingIne - 0: ok - 1: validationError - 2: ineConnectionError - 3: ineInfrastructureError - 4: moduleNotSupported - 5: missingDocumentId - 6: missingSelfie - 7: userNotFound - 8: userNotFoundInIneDb - 9: notEnoughData - 10: livenessFail - 11: ineNotCurrent - 12: ineReportedLost - 13: ineReportedStolen - 14: ineSignaturError - 99: geographicRegionNotSupported - 205: transactionLimitReached - ocrValidation: List of value, status, key objects. Not all of the following keys are always present: issueDate firstName, maternalLastName, paternalLastName, ocr, personalId, electorsKey, emissionNumber, registrationDate - ocrValidationOverall: Composite result for ocrValidation score - overall | |
governmentValidation.recognitionConfidence |
object | ||
governmentValidation.recognitionConfidence.value |
string | ||
governmentValidation.recognitionConfidence.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.fingerprintConfidence |
object | ||
governmentValidation.fingerprintConfidence.value |
string | ||
governmentValidation.fingerprintConfidence.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.minimumPassingFingerprints |
integer (int32) | ||
governmentValidation.validationStatus |
object | ||
governmentValidation.validationStatus.value |
string | ||
governmentValidation.validationStatus.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.validationStatus.key |
string | ||
governmentValidation.ocrValidation |
array[IdResultBean] | ||
governmentValidation.ocrValidation.value |
string | ||
governmentValidation.ocrValidation.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.ocrValidation.key |
string | ||
governmentValidation.ocrValidationOverall |
object | ||
governmentValidation.ocrValidationOverall.value |
string | ||
governmentValidation.ocrValidationOverall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.overall |
object | ||
governmentValidation.overall.value |
string | ||
governmentValidation.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
governmentValidation.provider |
string | ||
governmentValidation.appliedRule |
object | Specific rule from rule engine | |
governmentValidation.appliedRule.name |
string | Name of the rule. | |
governmentValidation.appliedRule.expression |
string | A logical expression of the rule. | |
governmentValidation.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
governmentValidation.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
videoConference |
object | - speechTranscript: Extracted text from speech, during video recording - videoSelfieLiveness: Shows liveness confidence that the person is real based on video conference - videoSelfieFaceRecognition: Shows how much face from id matches the video conference capture - speechRecognition: This shows how much the recognized speech matches the expected result - score: Overall video recording score | |
videoConference.speechTranscript |
string | ||
videoConference.speechTranscriptWhisper |
string | ||
videoConference.videoSelfieLiveness |
object | ||
videoConference.videoSelfieLiveness.value |
string | ||
videoConference.videoSelfieLiveness.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
videoConference.videoSelfieFaceRecognition |
object | ||
videoConference.videoSelfieFaceRecognition.value |
string | ||
videoConference.videoSelfieFaceRecognition.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
videoConference.speechRecognition |
object | ||
videoConference.speechRecognition.value |
string | ||
videoConference.speechRecognition.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
videoConference.score |
object | ||
videoConference.score.value |
string | ||
videoConference.score.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
videoConference.appliedRule |
object | Specific rule from rule engine | |
videoConference.appliedRule.name |
string | Name of the rule. | |
videoConference.appliedRule.expression |
string | A logical expression of the rule. | |
videoConference.appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
videoConference.appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
curpVerification |
object | Only for Mex documents, in case CURP validation was performed | |
curpVerification.success |
boolean | Flag indicating request passed successfully. | |
curpVerification.curp |
string | Curp | |
curpVerification.sex |
string | Sex Enum: Mujer, Hombre, X |
|
curpVerification.nationality |
string | Nationality | |
curpVerification.result |
string | ||
curpVerification.transactionId |
string | ||
curpVerification.renapo_valid |
boolean | Flag indicating if CURP validation passed - tipoError present in response | |
curpVerification.names |
string | Names | |
curpVerification.paternal_surname |
string | Paternal surname | |
curpVerification.mothers_maiden_name |
string | Mother maiden name | |
curpVerification.birthdate |
string | Birth Date in format DD/MM/YYYY | |
curpVerification.entity_birth |
string | Birth State | |
curpVerification.probation_document |
string | Probation Document | |
curpVerification.probation_document_data |
object | Key/Value structure. All keys are type of string. Available Key values: - anioReg - foja - tomo - libro - numActa - CRIP - numEntidadReg - cveMunicipioReg - NumRegExtranjeros - FolioCarta - cveEntidadNac - cveEntidadEmisora | |
curpVerification.status_curp |
string | Status Curp | |
curpVerification.deceasedStatus |
string | Deceased Status | |
ineScrapingValidation |
object | Only for Mex documents in case INE scraping was performed | |
ineScrapingValidation.get_version |
integer (int64) | ||
ineScrapingValidation.scrapingStatus |
string | Scraping status Enum: IN_PROGRESS, FINISHED, ERROR |
|
ineScrapingValidation.success |
boolean | Flag indicating if the process finished successfully. | |
ineScrapingValidation.result |
string | Result Enum: success, error |
|
ineScrapingValidation.resultDetails |
string | ||
ineScrapingValidation.screenshotUrl |
string | ||
ineScrapingValidation.cic |
string | Cic value. | |
ineScrapingValidation.claveElector |
string | Clave de elector. | |
ineScrapingValidation.numeroEmision |
string | Emission number. | |
ineScrapingValidation.ocr |
string | Ocr number. | |
ineScrapingValidation.anioRegistro |
string | Registration year. | |
ineScrapingValidation.anioEmision |
string | Emission year. | |
idOcrConfidence |
object | Confidence level for read ocr data from ID | |
idOcrConfidence.overallConfidence |
object | ||
idOcrConfidence.overallConfidence.value |
string | ||
idOcrConfidence.overallConfidence.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
idOcrConfidenceSecondId |
object | Same as idOcrConfidence only applicable if onboarding is configured to capture a second id | |
idOcrConfidenceSecondId.overallConfidence |
object | ||
idOcrConfidenceSecondId.overallConfidence.value |
string | ||
idOcrConfidenceSecondId.overallConfidence.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
incodeWatchlistScore |
object | Incode watchlist score | |
incodeWatchlistScore.watchlistScore |
object | ||
incodeWatchlistScore.watchlistScore.value |
string | ||
incodeWatchlistScore.watchlistScore.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
incodeWatchlistScore.dataMatches |
array[string] | ||
incodeWatchlistScore.incodeWatchlistId |
string | ||
retryInfo |
object | Info about failed onboarding attempts (only if 'Onboarding flow attempts' > 0 in ID Capture module) | |
retryInfo.failedAttemptsCounter |
object | Object with counter of failed attempts per step | |
retryInfo.stepsToRetry |
array[string] | ||
documentOnEdgeInfo |
object | Info about image alignment characteristic (if is on the image edge) | |
documentOnEdgeInfo.frontDocumentIsOnTheEdge |
boolean | ||
documentOnEdgeInfo.backDocumentIsOnTheEdge |
boolean | ||
appliedRule |
object | Specific rule from rule engine for total | |
appliedRule.name |
string | Name of the rule. | |
appliedRule.expression |
string | A logical expression of the rule. | |
appliedRule.ruleType |
string | Enum: idValidation, secondIdValidation, faceValidation, liveness, deepsight, eKyc, videoselfie, faceAuthentication, total, phoneRisk, emailRisk, governmentValidation |
|
appliedRule.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
needsReviewReason |
string | In case the overall score status is MANUAL (Needs Review), returns reason Enum: MANUAL_CAPTURE, RULE_APPLIED, OLD_ID, FLOW_CONFIGURATION, FRONT_ID_CAPTURE_ATTEMPTS, BACK_ID_CAPTURE_ATTEMPTS, SELFIE_CAPTURE_ATTEMPTS, ANTIFRAUD, MISSING_DEPTH_DATA |
|
sessionRecording |
object | ||
sessionRecording.mergedRecordingQualityChecks |
object | ||
sessionRecording.mergedRecordingQualityChecks.fileIsPresent |
string | Enum: PRESENT, NOT_PRESENT, UNKNOWN |
|
sessionRecording.mergedRecordingQualityChecks.hasVideo |
string | Enum: YES, NO, UNKNOWN |
|
sessionRecording.mergedRecordingQualityChecks.hasAudio |
string | Enum: YES, NO, UNKNOWN |
|
sessionRecording.mergedRecordingQualityChecks.fileNotEmpty |
string | Enum: NOT_EMPTY, EMPTY, UNKNOWN |
|
sessionRecording.mergedRecordingQualityChecks.recordingQuality |
object | ||
sessionRecording.mergedRecordingQualityChecks.recordingQuality.value |
string | ||
sessionRecording.mergedRecordingQualityChecks.recordingQuality.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
trustGraph |
object | Analysis of trust relationships and signals detected during onboarding, such as connections between devices and identities, used to assess the overall trustworthiness of the onboarding attempt. | |
trustGraph.riskResults |
object | ||
trustGraph.riskResults.overall |
object | ||
trustGraph.riskResults.overall.value |
string | ||
trustGraph.riskResults.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
trustGraph.riskResults.reasonCategoryScores |
object | ||
identityCrosscheck |
object | Simple identity crosscheck that compare names and dates of birth from different sources | |
identityCrosscheck.overall |
object | Overall validation result | |
identityCrosscheck.overall.value |
string | ||
identityCrosscheck.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
identityCrosscheck.checks |
object | Individual validation checks | |
identityCrosscheck.riskLevel |
string | Risk level assessment | |
invoiceValidation |
object | Analysis of invoice data | |
invoiceValidation.overall |
object | ||
invoiceValidation.overall.value |
string | ||
invoiceValidation.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
invoiceValidation.checks |
object | ||
autopilot |
object | Autopilot is a machine learning based score | |
autopilot.overall |
object | ||
autopilot.overall.value |
string | ||
autopilot.overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
|
autopilot.failedFeatures |
array[string] | ||
autopilot.legitFeatures |
array[string] | ||
autopilot.responseText |
string | ||
autopilot.responseCategory |
string | ||
overall |
object | Composite result for previous sections | |
overall.value |
string | ||
overall.status |
string | Enum: OK, WARN, FAIL, UNKNOWN, MANUAL, MANUAL_OK, MANUAL_FAIL, MANUAL_PENDING |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |
403
Forbidden - Score retrieval is disabled for this organization for session users.
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |